#ifndef HASHTABLE_HPP_INCLUDED
#define HASHTABLE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include "Node.hpp"
#include <cstdint>

namespace Internal
{
    class HashTable : public Object
    {
        public:
            HashTable();
            HashTable(const void* Obj);
            HashTable(const HashTable& H);
            static Class GetClass();

            std::vector<Node> GetBuckets() const;
            Node GetBuckets(std::int32_t I) const;
            std::int32_t GetIndex() const;
            std::int32_t GetSize() const;

    };
}

#endif // HASHTABLE_HPP_INCLUDED
